Pre-approvals
Update cart and send
POST
/ecommerce/application/{applicationToken}/cart/update/sendAttaches a cart to a pre-approved application and sends it to the customer to finish.
Authorization
bearerAuth AuthorizationBearer <token>
Access token from Get an access token.
In: header
Path Parameters
applicationToken*string
The token returned when the application was created.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/ecommerce/application/string/cart/update/send" \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "orderId": "100047", "loanAmount": 849.99, "shipping": 0, "taxes": 50, "discount": 0, "items": [ { "description": "Refurbished laptop 16GB", "quantity": 1, "price": 799.99, "brand": "Acme", "model": "Book Pro 14" } ] }'{ "status": "ok", "message": "cart updated", "token": "03b951ef0bff4bcba931f942e35af47b", "loanAmount": 849.99, "taxExempt": false}